> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages in a conversation interaction

> Get a paginated list of messages in community interaction that match given conversation ID



## OpenAPI

````yaml api-reference/community-openapi.json GET /interaction/{conversation_id}/messages
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage community interactions in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Community API
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://community.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for comment sentiment.
    name: Comment Sentiment
  - description: Endpoints responsible for community interaction tags.
    name: Community Interaction Tags
  - description: Endpoints responsible for community interactions.
    name: Community Interactions
  - description: Endpoints responsible for community overview.
    name: Community Overview
  - description: Endpoints responsible for community post operations
    name: Community Posts
  - description: Endpoints responsible for managing Facebook comments.
    name: Facebook Comments
  - description: Endpoints responsible for managing Facebook messages.
    name: Facebook Messages
  - description: Endpoints responsible for managing Instagram comments.
    name: Instagram Comments
  - description: Endpoints responsible for Instagram messages.
    name: Instagram Messages
  - description: Endpoints responsible for community interaction automation rules.
    name: Interaction Rules
  - description: Endpoints responsible for managing preset replies.
    name: Preset replies
  - description: Endpoints responsible for managing TikTok comments.
    name: TikTok Comments
  - description: Endpoints responsible for managing Twitter messages.
    name: Twitter Messages
  - description: Endpoints responsible for managing Twitter tweets.
    name: Twitter Tweets
  - description: Endpoints responsible for managing YouTube Comments
    name: YouTube Comments
paths:
  /interaction/{conversation_id}/messages:
    parameters:
      - description: The ID of the conversation to fetch messages for
        in: path
        name: conversation_id
        required: true
        schema:
          minimum: 0
          type: integer
    get:
      tags:
        - Community Interactions
      summary: List messages in a conversation interaction
      description: >-
        Get a paginated list of messages in community interaction that match
        given conversation ID
      parameters:
        - description: Number of results to return in a single response.
          in: query
          name: limit
          required: false
          schema:
            default: 100
            type: integer
        - description: The offset of the first result to be returned.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Sort of the messages.
          in: query
          name: sort
          required: false
          schema:
            enum:
              - '-CREATED_AT'
              - CREATED_AT
            type: string
        - description: Fetch messages that have text
          in: query
          name: must_include_text
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InteractionMessagesResponse'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    InteractionMessagesResponse:
      properties:
        data:
          allOf:
            - $ref: '#/components/schemas/InteractionMessagesData'
          description: Interation messages and participant data
          readOnly: true
        paging:
          allOf:
            - $ref: '#/components/schemas/PagingDetail'
          description: Pagination data
          readOnly: true
      type: object
    InteractionMessagesData:
      properties:
        follower_participant:
          allOf:
            - $ref: '#/components/schemas/Participant'
          description: The brand follower who sent messages
          readOnly: true
        messages:
          description: A list of messages
          items:
            $ref: '#/components/schemas/InteractionMessage'
          readOnly: true
          type: array
      type: object
    PagingDetail:
      properties:
        next:
          description: URL to the next page of data.
          format: url
          type: string
        previous:
          description: URL to the previous page of data.
          format: url
          type: string
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    Participant:
      properties:
        profile_picture_url:
          description: The participant's profile picture URL.
          format: url
          readOnly: true
          type: string
        user_handle:
          description: The participant's username.
          readOnly: true
          type: string
      type: object
    InteractionMessage:
      properties:
        created_at:
          description: When the message was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The message ID.
          readOnly: true
          type: integer
        platform:
          description: The message source platform.
          readOnly: true
          type: string
        text:
          description: The text content of the message.
          readOnly: true
          type: string
        username:
          description: The sender's username.
          readOnly: true
          type: string
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````